Bug 243965 - 0.13 does not accept some Version value
Summary: 0.13 does not accept some Version value
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: desktop-file-utils (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 243763
TreeView+ depends on / blocked
 
Reported: 2007-06-13 04:05 UTC by Mamoru TASAKA
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-14 20:40:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mamoru TASAKA 2007-06-13 04:05:25 UTC
Description of problem:
It seems that 0.13 version of desktop-file-utils does not
accept the entry some "Version=foo" in desktop files

Version-Release number of selected component (if applicable):
desktop-file-utils-0.13-1.fc8
gresistor-0.0.1-9.fc7


How reproducible:
100%
  
Actual results:
[root@localhost ~]# cat /usr/share/applications/fedora-gresistor.desktop 
[Desktop Entry]
Version=0.1.2
Encoding=UTF-8
Name=gResistor
Comment=Resistor color code calculator
Icon=gresistor.png
Exec=/usr/bin/gresistor
Terminal=false
Type=Application
MimeType=application/x-glade;
Categories=Education;Science;X-Fedora;Engineering;
Name[ro]=gResistor
Comment[ro]=Calculator pentru formule electrice
Name[ro_RO]=gResistor
X-Desktop-File-Install-Version=0.12
[root@localhost ~]# desktop-file-validate
/usr/share/applications/fedora-gresistor.desktop 
/usr/share/applications/fedora-gresistor.desktop: error: value "0.1.2" for key
"Version" in group "Desktop Entry" is not a known version
/usr/share/applications/fedora-gresistor.desktop: warning: key "Encoding" in
group "Desktop Entry" is deprecated

Expected results:
0.12 accepted this.

Additional info:
I found this on reviewing review request mrxvt (223422)
mrxvt 0.5.2-6 has the desktop:
---------------------------------
[Desktop Entry]
Encoding=UTF-8
Type=Application
Version=0.5.2
Name=mrxvt
GenericName=Terminal Emulator
Comment=none
Icon=mrxvt.png
Exec=/usr/bin/mrxvt
Categories=System;Emulator;
--------------------------------------
However, now desktop-file-utils 0.13-1 does not accept this.
--------------------------------------
+ desktop-file-install --vendor=fedora
--dir=/var/tmp/mrxvt-0.5.2-6.fc8-root-mockbuild/usr/share/applications
/builddir/build/SOURCES/mrxvt.desktop
/var/tmp/mrxvt-0.5.2-6.fc8-root-mockbuild/usr/share/applications/fedora-mrxvt.desktop:
error: value "0.5.2" for key "Version" in group "Desktop Entry" is not a known
version
desktop-file-install created an invalid desktop file!

Comment 1 Mamoru TASAKA 2007-06-14 19:23:42 UTC
Another example is review request bug 243763

Comment 2 Jochen Schmitt 2007-06-14 20:40:49 UTC
Thsi bug may be closed, becouse the reported issue is, that the meaning of the
version field was misinterpreted.

The version field refer to the version of of desktop entry specification which
should be fullfill be the desktop file. That means this field has nothing to do
with the version of the application on which the desktopfile refers.

Comment 3 Mamoru TASAKA 2007-06-15 02:56:50 UTC
Okay. I re-read the following and I found that I misunderstood
Version info. Thank you.
http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-1.0.html


Note You need to log in before you can comment on or make changes to this bug.